<!-- This example requires Tailwind CSS v2.0+ -->
<template>
  <nav-bar></nav-bar>
  <div class="md:container md:mx-auto mb-20 md:px-40">
    <div v-if="showLoading"  class="fixed top-0 left-0 right-0 bottom-0 w-full h-screen z-50 overflow-hidden bg-gray-700 opacity-75 flex flex-col items-center justify-center">
	<div class="loader ease-linear rounded-full border-4 border-t-4 border-gray-200 h-12 w-12 mb-4"></div>
	<h2 class="text-center text-white text-xl font-semibold">Loading...</h2>
   </div>
    <router-view></router-view>
   
  </div>
</template>

<script>
import NavBar from "./NavBar.vue";

export default {
  components: {
    NavBar,
  },
 computed: {
   showLoading() {
      return this.$store.state.loading;
    },
 }

};
</script>
